[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]
14/20: guix-install.sh: Allow overriding the Guix binary source.
From: |
guix-commits |
Subject: |
14/20: guix-install.sh: Allow overriding the Guix binary source. |
Date: |
Sun, 25 Apr 2021 08:37:55 -0400 (EDT) |
civodul pushed a commit to branch version-1.3.0
in repository guix.
commit 51f95d4e6496d299d4852d7659213fdcd8e131bc
Author: Maxim Cournoyer <maxim.cournoyer@gmail.com>
AuthorDate: Sat Apr 24 09:59:54 2021 -0400
guix-install.sh: Allow overriding the Guix binary source.
This is useful for example for testing release candidates not yet uploaded
to
the FTP, or for testing manually downloaded images from the CI.
* etc/guix-install.sh (main)[GUIX_BINARY_FILE_NAME]: When this variable is
defined, use it as the file name of a Guix binary, instead of automatically
retrieving the latest archive from the FTP.
---
etc/guix-install.sh | 14 +++++++++++---
1 file changed, 11 insertions(+), 3 deletions(-)
diff --git a/etc/guix-install.sh b/etc/guix-install.sh
index 949ef77..168bf72 100755
--- a/etc/guix-install.sh
+++ b/etc/guix-install.sh
@@ -554,10 +554,18 @@ main()
umask 0022
tmp_path="$(mktemp -t -d guix.XXX)"
- guix_get_bin_list "${GNU_URL}"
- guix_get_bin "${GNU_URL}" "${BIN_VER}" "$tmp_path"
+ if [ -z "${GUIX_BINARY_FILE_NAME}" ]; then
+ guix_get_bin_list "${GNU_URL}"
+ guix_get_bin "${GNU_URL}" "${BIN_VER}" "$tmp_path"
+ GUIX_BINARY_FILE_NAME=${BIN_VER}.tar.xz
+ else
+ if ! [[ $GUIX_BINARY_FILE_NAME =~ $ARCH_OS ]]; then
+ _err "$ARCH_OS not in ${GUIX_BINARY_FILE_NAME}; aborting"
+ fi
+ _msg "Using manually provided binary ${GUIX_BINARY_FILE_NAME}"
+ fi
- sys_create_store "${BIN_VER}.tar.xz" "${tmp_path}"
+ sys_create_store "${GUIX_BINARY_FILE_NAME}" "${tmp_path}"
sys_create_build_user
sys_enable_guix_daemon
sys_authorize_build_farms
- 16/20: po: Remove file that no longer exists., (continued)
- 16/20: po: Remove file that no longer exists., guix-commits, 2021/04/25
- 05/20: gnu: guile-git: Update to 0.5.1., guix-commits, 2021/04/25
- 09/20: import: go: Do not set '%strict-tokenizer?' from the top level., guix-commits, 2021/04/25
- 20/20: http-client: Remove exception mishandling in 'http-multiple-get'., guix-commits, 2021/04/25
- 10/20: import: go: Autoload (htmlprag)., guix-commits, 2021/04/25
- 11/20: file-systems: read-partition-{uuid, label} don't swallow ENOENT & co., guix-commits, 2021/04/25
- 17/20: cve: Gracefully handle bogus CVE entries., guix-commits, 2021/04/25
- 19/20: http-client, substitute: Gracefully handle GnuTLS EAGAIN/EINTR., guix-commits, 2021/04/25
- 18/20: doc: Fix cross-reference URL to translated manual., guix-commits, 2021/04/25
- 12/20: gnu: icecat: Update to 78.10.0-guix0-preview1 [security fixes]., guix-commits, 2021/04/25
- 14/20: guix-install.sh: Allow overriding the Guix binary source.,
guix-commits <=
- 13/20: gnu: wireshark: Update to 3.4.5 [security fixes]., guix-commits, 2021/04/25
- 15/20: import: Remove Nix importer., guix-commits, 2021/04/25